Get Image Version

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions/{versionId}

Gets information regarding the specified version of the image

Request

Path Parameters
Query Parameters
  • Provide a report if this version of the image can be deleted
    Allowed Values: [ "deleteVersionReport" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Ok. Image version is retrieved.
Body ()
Root Schema : GoldImageVersion
Type: object
Summary of the image version
Match All
Summary of the image version
Show Source
Match One Schema
Show Source
Nested Schema : GoldImageVersionSummary
Type: object
Summary of the image version
Show Source
Nested Schema : DeleteGoldImageVersionReport
Type: object
Delete gold image version report
Show Source
  • Message indicates whether image version can be deleted
    Example: if the version is not CURRENT then message is "The version is a candidate for deletion." else message is "CURRENT version of the image cannot be deleted"
Examples

400 Response

Bad Request.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

401 Response

Unauthorized.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

403 Response

Forbidden.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

404 Response

Not Found.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

500 Response

Internal Server Error.
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source

503 Response

Service Unavailable
Headers
Body ()
Root Schema : ErrorResponse
Type: object
Response sent in the case of an error.
Show Source
Back to Top